<?php
/**
 * Plugin Name: WPSustainable
 * Description: Check the sustainability from your hosting company and the CO2 generated by your IP address.
 * Requires at least: 5.2
 * Requires PHP: 7.2
 * Version: 1.0.2
 * Author: Hosting Team Contributors
 * Text Domain: wpsustainable
 * Domain Path: /languages
 * License: EUPL 1.2
 * License URI: https://www.eupl.eu/1.2/en/
 */

defined( 'ABSPATH' ) || die( 'Sorry!' );

define( 'WPSUSTAINABLE_PLUGIN_URL', plugins_url( '/', __FILE__ ) );
define( 'WPSUSTAINABLE_PLUGIN_VERSION', '1.0.1' );
define( 'WPSUSTAINABLE_PLUGIN_FILE', __FILE__ );
define( 'WPSUSTAINABLE_PLUGIN_BASE', plugin_basename( __FILE__ ) );
define( 'WPSUSTAINABLE_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );

add_action( 'plugins_loaded', 'wpsustainable_plugin_init' );

function wpsustainable_plugin_init() {
	load_plugin_textdomain( 'wpsustainable', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' );
}

require_once WPSUSTAINABLE_PLUGIN_PATH . '/includes/helpers-api.php';
require_once WPSUSTAINABLE_PLUGIN_PATH . '/includes/class-health.php';
